# attribute.hpp File Reference

`#include <map>`
`#include <vector>`
`#include <string>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga-defs.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::detail
## Classes
struct | saga::detail::attribute< Derived >
| The SAGA attribute interface. More...